<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:visibility="visible"
    tools:context="com.usai.redant.raimage.uploadSettingActivity">

    <Switch
        android:id="@+id/compress_swt"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="16dp"
        android:layout_marginRight="16dp"
        android:layout_marginTop="32dp"
        android:text="Compress Image"
        android:textSize="18sp"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:layout_constraintRight_creator="1"
        tools:layout_constraintTop_creator="1"/>

    <TextView
        android:id="@+id/retry_text"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="0dp"
        android:layout_marginTop="24dp"
        android:text="Max Retry Count"
        android:textColor="@android:color/black"
        android:textSize="18sp"
        app:layout_constraintLeft_toLeftOf="@+id/compress_swt"
        app:layout_constraintTop_toBottomOf="@+id/compress_swt"
        tools:layout_constraintBottom_creator="1"
        tools:layout_constraintLeft_creator="1"
        tools:layout_constraintTop_creator="1" />

    <TextView
        android:id="@+id/retry_waiting"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="24dp"
        android:text="Retry waiting"
        android:textColor="@android:color/black"
        android:textSize="18sp"
        app:layout_constraintLeft_toLeftOf="@+id/compress_swt"
        app:layout_constraintTop_toBottomOf="@+id/retry_text"
        tools:layout_constraintLeft_creator="1"
        tools:layout_constraintTop_creator="1"/>

    <EditText
        android:id="@+id/retry_et"
        android:layout_width="50dp"
        android:layout_height="wrap_content"
        android:layout_marginRight="-1dp"
        android:inputType="number"
        app:layout_constraintRight_toRightOf="@+id/compress_swt"
        tools:layout_constraintLeft_creator="1"
        tools:layout_constraintRight_creator="1"
        tools:layout_constraintTop_creator="1"
        android:layout_marginTop="0dp"
        android:layout_marginBottom="0dp"
        app:layout_constraintTop_toTopOf="@+id/retry_text"
        app:layout_constraintBottom_toBottomOf="@+id/retry_text" />

    <EditText
        android:id="@+id/waiting_et"
        android:layout_width="50dp"
        android:layout_height="wrap_content"
        android:inputType="number"
        app:layout_constraintBottom_toBottomOf="@+id/retry_waiting"
        app:layout_constraintRight_toRightOf="@+id/compress_swt"
        app:layout_constraintTop_toTopOf="@+id/retry_waiting"
        app:layout_constraintVertical_bias="0.517"
        tools:layout_constraintRight_creator="1"
        tools:layout_constraintTop_creator="1"/>

    <Switch
        android:id="@+id/sw_wifyonly"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="24dp"
        android:text="Only upload via WIFI"
        android:textSize="18sp"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintLeft_toLeftOf="@+id/compress_swt"
        app:layout_constraintRight_toRightOf="@+id/compress_swt"
        app:layout_constraintTop_toBottomOf="@+id/retry_waiting"
        tools:layout_constraintBottom_creator="1"
        tools:layout_constraintLeft_creator="1"
        tools:layout_constraintRight_creator="1"
        tools:layout_constraintTop_creator="1"/>


</android.support.constraint.ConstraintLayout>
